skype is in the official tree

This commit is contained in:
Manuel Friedli 2009-11-06 14:28:31 +00:00
parent 6507f835a7
commit e09ce555cf
6 changed files with 0 additions and 296 deletions

View File

@ -1,7 +0,0 @@
AUX sDaemonWrapper-r1 2156 RMD160 29aa71c39c0e6049d9073f1a37b4548d76195248 SHA1 c2fe043de8bf0eb7e5666b90ab849710d16aa72f SHA256 997724ef746507af4f2255ee33d93316101dd072388807103cab98172282a4a8
AUX skype-callto-handler 1813 RMD160 c9d6ebefac813587b294c561808729ab15aafe70 SHA1 1d8d214b7c4aab9125bc02e8ccebd8818a33c7e5 SHA256 dc004f93e107622910980acf6d132ee603e12e294ca35870e3a04184db64ae3c
AUX skype.debus.config 436 RMD160 ec47725458e05cca8e37316989f473963b5b654d SHA1 e0a969c12264ac2657491f8533f0349fc8a8d4f0 SHA256 6de68b9e62afd284f1d7d5899fc5747de2be2c18a96022130826917625941ea2
AUX skype.sh 243 RMD160 994fb89dc4c9e5f205de1d552695a0f63a184fb3 SHA1 a973105cc69d7add1978d0fb11800349a34431c1 SHA256 cbd934a18023e014ca34b78b33fbbeb3ddd340f14c79619871c3a39395b91594
DIST skype-2.0.0.72.tar.bz2 15104486 RMD160 ab8ad304c6739cb68ad3420b9da89abc97ca5588 SHA1 554a2d2fdf0b2291692ed84c2d862bc80b8a6b26 SHA256 d3087571ab206729e6628986eb485e48204f5f1f0ed3f28326c376d86d583fe8
DIST skype_static-2.0.0.72.tar.bz2 21613953 RMD160 fcadcbb30eeea2e548771984b38884d23d461f7f SHA1 bc69854b5cc83e2e92c91f9a5b7688a00dc7ce7e SHA256 2f37963e8f19c0ec5efd8631abe9633b6551f09dee024460c40fad10728bc580
EBUILD skype-2.0.0.72.ebuild 3102 RMD160 fd3b50e701a744f94423b813276bacf58043fd15 SHA1 da1b1a05314a340c803cdbb8354c07b1bdd6f743 SHA256 73e0acbb6ff83569472deb8398e8f7beb3672c065ca365b5d4c773ba98feb44a

View File

@ -1,67 +0,0 @@
#!/bin/bash
#
# Wrapper script to run Skype with sound wrapper when possible
logfile="${HOME}/.Skype/skype.log"
progname="skype"
progpath="/opt/${progname}/"
progopts="--resources-path ${progpath}"
shellcheck1=` which artsshell 2> /dev/null `
shellcheck2=` which esd 2> /dev/null `
artsdcheck=` ps x | grep artsd | grep -v grep `
## We use ps ax for esd as esd can be used globaly for all users.
esdcheck=` ps ax | grep "esd ." | grep -v grep `
skypecmd="${progpath}${progname}.bin"
wrapsound="yes"
#Use 32bits wrapper in 64 bits system
xdspsuffix=""
if [ `uname -m` == "x86_64" ]; then
xdspsuffix=32
fi
[ "$1" == "oss" ] && wrapsound="no"
[ -d "$(dirname "${logfile}")" ] || mkdir "$(dirname "${logfile}")"
echo "===== " `date` " =====" > ${logfile}
if [[ -z ${shellcheck1} && -z ${shellcheck2} ]]
then
echo "No installed artsshell or esd found"
echo "Assuming you're running no sound daemon"
echo "Starting ${progname} without a sound wrapper" | tee --append "${logfile}"
else
if [[ ${wrapsound} == "yes" && ${shellcheck1} == $(artsc-config --arts-prefix)/bin/artsshell && -n ${artsdcheck} ]]
then
echo "Running artsd found"
echo "Starting artsd wrapped ${progname}" | tee --append "${logfile}"
skypecmd="env MALLOC_CHECK_=0 artsdsp${xdspsuffix} -m ${skypecmd}"
elif [[ ${wrapsound} == "yes" && ${shellcheck2} == /usr/bin/esd && -n ${esdcheck} ]]
then
echo "Running esd found"
echo "Starting esd wrapped ${progname}" | tee --append "${logfile}"
skypecmd="esddsp${xdspsuffix} ${skypecmd}"
else
if [ ${wrapsound} == "yes" ]
then
echo "No running artsd or esd found"
else
echo "Use of sound-daemon disabled"
fi
echo "Starting ${progname} without sound daemon" | tee --append "${logfile}"
fi
fi
#Going to "homedir"
cd ${progpath}
echo "${skypecmd} ${progopts}" >> ${logfile}
echo "=========================================="
${skypecmd} ${progopts} >> ${logfile} 2>> ${logfile}
if [[ $? -ne 0 ]] ; then
echo "Running wrapped Skype failed, trying not-wrapped mode..."
echo "=========================================="
skypecmd="${progpath}${progname}.bin"
${skypecmd} ${progopts} >> ${logfile} 2>&1
fi
exit $?

View File

@ -1,83 +0,0 @@
#!/bin/sh
SKYPE="skype"
DBUS_SEND="dbus-send"
BUS="--system"
SKYPE_BUS=""
ID=`id -u`
print_help()
{
cat << EOF
Skype "callto://" handler
Usage: skype-callto-handler [BUS] callto://user
Where BUS can be either "--system" (default) or "--session"
EOF
}
if [ -z "$1" -o "$1" = "--help" ]; then
print_help
exit 1
fi
if [ "--system" = "$1" -o "--session" = "$1" ];then
BUS="$1"
shift 1
fi
if [ "--session" = "$BUS" ]; then
SKYPE_BUS="--use-session-dbus"
fi
if [ -z "$1" ];then
print_help
exit 1
fi
CALLTO=`echo $1 | sed 's/callto:\/\///'`
PING=`$DBUS_SEND $BUS --type=method_call --print-reply --dest=org.freedesktop.DBus /org/freedesktop/DBus org.freedesktop.DBus.ServiceExists string:com.Skype.API 2> /dev/null`; RESULT=$?
if [ $RESULT -ne 0 ]; then
echo "ERROR: Failed to connect to DBUS daemon!"
exit 1
fi
echo "$PING" | grep -q "boolean:true"; RESULT=$?
if [ $RESULT -ne 0 ]; then
echo "Running Skype instance not found, launching"
$SKYPE $SKYPE_BUS --callto "$CALLTO" &
exit 0
fi
SKYPE_ID=`$DBUS_SEND $BUS --type=method_call --print-reply --dest=com.Skype.API /com/Skype com.Skype.API.Ping 2> /dev/null`;RESULT=$?
if [ $RESULT -ne 0 ]; then
echo "ERROR: Skype is running on specified bus, but is misbehaving!"
exit 1
fi
TEMP=`echo "$SKYPE_ID" | grep -o "int32:[0-9]*"`
SKYPE_ID=`echo "$TEMP" | cut -f2 -d':'`
if [ $ID -ne $SKYPE_ID ]; then
echo "ERROR: Skype is running on specified bus, but for different UNIX user!"
exit 1
fi
REPLY=`$DBUS_SEND $BUS --type=method_call --print-reply --dest=com.Skype.API /com/Skype com.Skype.API.Invoke string:CALL\ $CALLTO 2> /dev/null`;RESULT=$?
if [ $RESULT -ne 0 ]; then
echo "ERROR: Error when communicating with Skype!"
exit 1
fi
TEMP=`echo "$REPLY" | grep -o "string:.*"`
REPLY=`echo "$TEMP" | cut -f2 -d':'`
echo $REPLY
exit 0

View File

@ -1,10 +0,0 @@
<!DOCTYPE busconfig PUBLIC "-//freedesktop//DTD D-BUS Bus Configuration 1.0//EN" "http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd">
<busconfig>
<!-- ../system.conf have denied everything, so we just punch some holes -->
<policy context="default">
<allow own="com.Skype.API"/>
<allow send_destination="com.Skype.API"/>
<allow receive_sender="com.Skype.API"/>
<allow send_path="/com/Skype"/>
</policy>
</busconfig>

View File

@ -1,11 +0,0 @@
#!/bin/bash
#
progname="skype"
progpath="/opt/${progname}/"
progopts="--resources-path ${progpath}"
#Going to "homedir"
cd ${progpath}
skypecmd="${progpath}${progname}"
XMODIFIERS=@im=none QT_IM_MODULE=simple exec ${skypecmd} ${progopts} $@

View File

@ -1,118 +0,0 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-im/skype/skype-2.0.0.68.ebuild,v 1.3 2008/08/11 18:21:17 yngwin Exp $
EAPI=1
inherit eutils pax-utils qt4
DESCRIPTION="A P2P-VoiceIP client."
HOMEPAGE="http://www.skype.com/"
SFILENAME=${PN}_static-${PV}.tar.bz2
DFILENAME=${P}.tar.bz2
SRC_URI="!qt-static? ( http://download.skype.com/linux/${DFILENAME} )
qt-static? ( http://download.skype.com/linux/${SFILENAME} )"
LICENSE="skype-eula"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="qt-static"
RESTRICT="mirror strip"
DEPEND="amd64? ( >=app-emulation/emul-linux-x86-xlibs-1.2
>=app-emulation/emul-linux-x86-baselibs-2.1.1
>=app-emulation/emul-linux-x86-soundlibs-2.4
app-emulation/emul-linux-x86-compat )
x86? ( >=sys-libs/glibc-2.4
>=media-libs/alsa-lib-1.0.11
x11-libs/libXScrnSaver
x11-libs/libXv
qt-static? ( media-libs/fontconfig
media-libs/freetype
x11-libs/libICE
x11-libs/libSM
x11-libs/libXcursor
x11-libs/libXext
x11-libs/libXfixes
x11-libs/libXi
x11-libs/libXinerama
x11-libs/libXrandr
x11-libs/libXrender
x11-libs/libX11 )
!qt-static? ( || ( ( x11-libs/qt-gui:4 x11-libs/qt-dbus:4 )
=x11-libs/qt-4.3*:4 )
x11-libs/libX11
x11-libs/libXau
x11-libs/libXdmcp ) )"
RDEPEND="${DEPEND}"
QA_EXECSTACK="opt/skype/skype"
use qt-static && S="${WORKDIR}/${PN}_static-${PV}"
use !qt-static && QT4_BUILT_WITH_USE_CHECK="guiaccessibility dbus"
src_install() {
# remove mprotect() restrictions for PaX usage - see Bug 100507
pax-mark m "${S}"/skype
exeinto /opt/${PN}
doexe skype
fowners root:audio /opt/skype/skype
make_wrapper skype /opt/${PN}/skype /opt/${PN} /opt/${PN} /usr/bin
insinto /opt/${PN}/sounds
doins sounds/*.wav
if ! use qt-static ; then
insinto /etc/dbus-1/system.d
newins "${FILESDIR}"/skype.debus.config skype.conf
fi
insinto /opt/${PN}/lang
#
#There have been some issues were lang is not updated from the .ts files
#but if we have qt we can rebuild it
#
if ! use qt-static ; then
lrelease lang/*.ts
fi
doins lang/*.qm
insinto /opt/${PN}/avatars
doins avatars/*.png
insinto /opt/${PN}
for X in 16 32 48
do
insinto /usr/share/icons/hicolor/${X}x${X}/apps
newins "${S}"/icons/SkypeBlue_${X}x${X}.png ${PN}.png
done
dodoc README
# insinto /usr/share/applications/
# doins skype.desktop
make_desktop_entry ${PN} "Skype VoIP" ${PN} "Network;InstantMessaging;Telephony"
#Fix for no sound notifications
dosym /opt/${PN} /usr/share/${PN}
# TODO: Optional configuration of callto:// in KDE, Mozilla and friends
# doexe skype-callto-handler
}
pkg_postinst() {
elog "If you have sound problems please visit: "
elog "http://forum.skype.com/bb/viewtopic.php?t=4489"
elog "These kernel options are reported to help"
elog
elog "Processor type and features --->"
elog "-- Preemption Model (Preemptible Kernel (Low-Latency Desktop))"
elog "-- Timer frequency (250 HZ)"
elog
ewarn "This release no longer uses the old wrapper because ${PN} now uses ALSA"
ewarn
}